Fetch basic attributes about the image

- « Imagick::paintTransparentImage

- Imagick::pingImageBlob »

- PHP Manual
- Imagick
- Fetch basic attributes about the image

# Imagick::pingImage

(PECL imagick 2, PECL imagick 3)

Imagick::pingImage — Fetch basic attributes about the image

### Description

public Imagick::pingImage(string `$filename`): bool

This method can be used to query image width, height, size, and format without reading the whole image in to memory.

### Parameters

`filename`

  The filename to read the information from.

### Return Values

Returns `true` on success.